XdbeDeallocateBackBufferName(3) | Library Functions Manual | XdbeDeallocateBackBufferName(3)

# NAME

XdbeDeallocateBackBufferName - frees a DBE buffer.

# SYNOPSIS

    #include <X11/extensions/Xdbe.h>

    Status XdbeDeallocateBackBufferName(

        Display        *dpy,

        XdbeBackBuffer buffer)

# DESCRIPTION

This function frees a drawable ID, buffer, that was obtained via XdbeAllocateBackBufferName(3). The buffer must be a valid name for the back buffer of a window, or a protocol error results.

# ERRORS

BadBuffer
  The specified buffer is not associated with a window.

# SEE ALSO

DBE(3), XdbeAllocateBackBufferName(3), XdbeBeginIdiom(3), XdbeEndIdiom(3), XdbeFreeVisualInfo(3), XdbeGetBackBufferAttributes(3), XdbeGetVisualInfo(3), XdbeQueryExtension(3), XdbeSwapBuffers(3).

1996-03-11 | X Version 11